<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:i6="http://iuclid6.echa.europa.eu/namespaces/platform-fields/v1" xmlns:i6c="http://iuclid6.echa.europa.eu/namespaces/platform-container/v1" xmlns:xt="http://iuclid6.echa.europa.eu/namespaces/FLEXIBLE_RECORD-Ghs/2.0" version="1.0">
    <xsl:template match="/">
        <html>
            <head>
                <link href="iuclid6_style.css" rel="stylesheet" type="text/css"/>
            </head>
            <body>
                <table>
                    <tr/>
                    <xsl:apply-templates/>
                </table>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="//i6c:PlatformMetadata | //i6c:Attachments | //i6c:ModificationHistory"/>
    <xsl:template match="//xt:FLEXIBLE_RECORD">
        <tr class="headerDocument">
            <td>GHS</td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:NotClassified">
        <tr>
            <td class="label">Not classified</td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:DataProtection">
        <tr>
            <td class="label"/>
            <td class="value">
                <xsl:apply-templates/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:MFactorAcute | //xt:MFactorChronic">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'MFactorAcute'">M-Factor acute</xsl:when>
                    <xsl:when test="name(.) = 'MFactorChronic'">M-Factor chronic</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:ConcentrationRangeVal">
        <tr>
            <td class="label">Concentration range (%)</td>
            <td class="value">
                <xsl:value-of select="./i6:lowerQualifier "/>
                <xsl:value-of select="./i6:lowerValue "/>
                <xsl:value-of select="./i6:upperQualifier "/>
                <xsl:value-of select="./i6:upperValue "/>
                <xsl:value-of select="./i6:unitOther "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:HazardCategories">
        <tr>
            <td class="label">Hazard categories</td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '7163'">Unstable explosive</xsl:when>
                    <xsl:when test="./i6:value = '7486'">Expl. Div. 1.1</xsl:when>
                    <xsl:when test="./i6:value = '7487'">Expl. Div. 1.2</xsl:when>
                    <xsl:when test="./i6:value = '7488'">Expl. Div. 1.3</xsl:when>
                    <xsl:when test="./i6:value = '7489'">Expl. Div. 1.4</xsl:when>
                    <xsl:when test="./i6:value = '7490'">Expl. Div. 1.5</xsl:when>
                    <xsl:when test="./i6:value = '7491'">Expl. Div. 1.6</xsl:when>
                    <xsl:when test="./i6:value = '7492'">Flam. Gas 1</xsl:when>
                    <xsl:when test="./i6:value = '7493'">Flam. Gas 2</xsl:when>
                    <xsl:when test="./i6:value = '7494'">Aerosol 1</xsl:when>
                    <xsl:when test="./i6:value = '7495'">Aerosol 2</xsl:when>
                    <xsl:when test="./i6:value = '7496'">Oxid. Gas 1</xsl:when>
                    <xsl:when test="./i6:value = '7497'">Compressed gas</xsl:when>
                    <xsl:when test="./i6:value = '7498'">Liquefied gas</xsl:when>
                    <xsl:when test="./i6:value = '7499'">Refrigerated liquefied gas</xsl:when>
                    <xsl:when test="./i6:value = '7500'">Dissolved gas</xsl:when>
                    <xsl:when test="./i6:value = '7159'">Flam. Liquid 1</xsl:when>
                    <xsl:when test="./i6:value = '7160'">Flam. Liquid 2</xsl:when>
                    <xsl:when test="./i6:value = '7161'">Flam. Liquid 3</xsl:when>
                    <xsl:when test="./i6:value = '7162'">Flam. Liquid 4</xsl:when>
                    <xsl:when test="./i6:value = '7501'">Flam. Solid 1</xsl:when>
                    <xsl:when test="./i6:value = '7502'">Flam. Solid 2</xsl:when>
                    <xsl:when test="./i6:value = '7503'">Self React. Type A</xsl:when>
                    <xsl:when test="./i6:value = '7504'">Self React. Type B</xsl:when>
                    <xsl:when test="./i6:value = '7505'">Self React. Type C</xsl:when>
                    <xsl:when test="./i6:value = '7506'">Self React. Type D</xsl:when>
                    <xsl:when test="./i6:value = '7507'">Self React. Type E</xsl:when>
                    <xsl:when test="./i6:value = '7508'">Self React. Type F</xsl:when>
                    <xsl:when test="./i6:value = '7509'">Self React. Type G</xsl:when>
                    <xsl:when test="./i6:value = '7510'">Pyr. Liquid 1</xsl:when>
                    <xsl:when test="./i6:value = '7511'">Pyr. Solid 1</xsl:when>
                    <xsl:when test="./i6:value = '7512'">Self Heat. 1</xsl:when>
                    <xsl:when test="./i6:value = '7513'">Self Heat. 2</xsl:when>
                    <xsl:when test="./i6:value = '7514'">Water React. Flam. Gas 1</xsl:when>
                    <xsl:when test="./i6:value = '7515'">Water React. Flam. Gas 2</xsl:when>
                    <xsl:when test="./i6:value = '7516'">Water React. Flam. Gas 3</xsl:when>
                    <xsl:when test="./i6:value = '7517'">Oxid. Liquid 1</xsl:when>
                    <xsl:when test="./i6:value = '7518'">Oxid. Liquid 2</xsl:when>
                    <xsl:when test="./i6:value = '7519'">Oxid. Liquid 3</xsl:when>
                    <xsl:when test="./i6:value = '7520'">Oxid. Solid 1</xsl:when>
                    <xsl:when test="./i6:value = '7521'">Oxid. Solid 2</xsl:when>
                    <xsl:when test="./i6:value = '7522'">Oxid. Solid 3</xsl:when>
                    <xsl:when test="./i6:value = '7523'">Org. Perox. Type A</xsl:when>
                    <xsl:when test="./i6:value = '7524'">Org. Perox. Type B</xsl:when>
                    <xsl:when test="./i6:value = '7525'">Org. Perox. Type C</xsl:when>
                    <xsl:when test="./i6:value = '7526'">Org. Perox. Type D</xsl:when>
                    <xsl:when test="./i6:value = '7527'">Org. Perox. Type E</xsl:when>
                    <xsl:when test="./i6:value = '7528'">Org. Perox. Type F</xsl:when>
                    <xsl:when test="./i6:value = '7529'">Org. Perox. Type G</xsl:when>
                    <xsl:when test="./i6:value = '7530'">Met. Corr. 1</xsl:when>
                    <xsl:when test="./i6:value = '7531'">Acute Tox. 1</xsl:when>
                    <xsl:when test="./i6:value = '7532'">Acute Tox. 2</xsl:when>
                    <xsl:when test="./i6:value = '7533'">Acute Tox. 3</xsl:when>
                    <xsl:when test="./i6:value = '7534'">Acute Tox. 4</xsl:when>
                    <xsl:when test="./i6:value = '7535'">Acute Tox. 5</xsl:when>
                    <xsl:when test="./i6:value = '61834'">Skin Corr. 1</xsl:when>
                    <xsl:when test="./i6:value = '7536'">Skin Corr. 1A</xsl:when>
                    <xsl:when test="./i6:value = '7537'">Skin Corr. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7538'">Skin Corr. 1C</xsl:when>
                    <xsl:when test="./i6:value = '7539'">Skin Irrit. 2</xsl:when>
                    <xsl:when test="./i6:value = '7540'">Skin Mild Irrit. 3</xsl:when>
                    <xsl:when test="./i6:value = '7541'">Eye Damage 1</xsl:when>
                    <xsl:when test="./i6:value = '7542'">Eye Irrit. 2A</xsl:when>
                    <xsl:when test="./i6:value = '7543'">Eye Irrit. 2B</xsl:when>
                    <xsl:when test="./i6:value = '7544'">Eye Irrit. 2</xsl:when>
                    <xsl:when test="./i6:value = '7545'">Resp. Sens. 1</xsl:when>
                    <xsl:when test="./i6:value = '8287'">Resp. Sens. 1A</xsl:when>
                    <xsl:when test="./i6:value = '8288'">Resp. Sens. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7546'">Skin Sens. 1</xsl:when>
                    <xsl:when test="./i6:value = '8289'">Skin Sens. 1A</xsl:when>
                    <xsl:when test="./i6:value = '8290'">Skin Sens. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7547'">Muta. 1A</xsl:when>
                    <xsl:when test="./i6:value = '7548'">Muta. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7549'">Muta. 2</xsl:when>
                    <xsl:when test="./i6:value = '7550'">Carc. 1A</xsl:when>
                    <xsl:when test="./i6:value = '7551'">Carc. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7552'">Carc. 2</xsl:when>
                    <xsl:when test="./i6:value = '7553'">Repr. 1A</xsl:when>
                    <xsl:when test="./i6:value = '7554'">Repr. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7555'">Repr. 2</xsl:when>
                    <xsl:when test="./i6:value = '7556'">STOT Single Exp. 1</xsl:when>
                    <xsl:when test="./i6:value = '7557'">STOT Single Exp. 2</xsl:when>
                    <xsl:when test="./i6:value = '7558'">STOT SE3 / H335</xsl:when>
                    <xsl:when test="./i6:value = '7559'">STOT SE3 / H336</xsl:when>
                    <xsl:when test="./i6:value = '7560'">STOT Rep. Exp. 1</xsl:when>
                    <xsl:when test="./i6:value = '7561'">STOT Rep. Exp. 2</xsl:when>
                    <xsl:when test="./i6:value = '7562'">Asp. Tox. 1</xsl:when>
                    <xsl:when test="./i6:value = '7563'">Asp. Tox. 2</xsl:when>
                    <xsl:when test="./i6:value = '7564'">Aquatic Acute 1</xsl:when>
                    <xsl:when test="./i6:value = '7565'">Aquatic Acute 2</xsl:when>
                    <xsl:when test="./i6:value = '7566'">Aquatic Acute 3</xsl:when>
                    <xsl:when test="./i6:value = '7567'">Aquatic Chronic 1</xsl:when>
                    <xsl:when test="./i6:value = '7568'">Aquatic Chronic 2</xsl:when>
                    <xsl:when test="./i6:value = '7569'">Aquatic Chronic 3</xsl:when>
                    <xsl:when test="./i6:value = '7570'">Aquatic Chronic 4</xsl:when>
                    <xsl:when test="./i6:value = '8292'">Hazardous to the ozone layer 1</xsl:when>
                    <xsl:when test="./i6:value = '8400'">Flam. Gas 1, Chem. Unst. Gas A</xsl:when>
                    <xsl:when test="./i6:value = '8401'">Flam. Gas 1, Chem. Unst. Gas B</xsl:when>
                    <xsl:when test="./i6:value = '8402'">Flam. Gas 2, Chem. Unst. Gas A</xsl:when>
                    <xsl:when test="./i6:value = '8403'">Flam. Gas 2, Chem. Unst. Gas B</xsl:when>
                    <xsl:when test="./i6:value = '8408'">Aerosol 3</xsl:when>
                    <xsl:when test="./i6:value = '61825'">Des. Expl. 1</xsl:when>
                    <xsl:when test="./i6:value = '61826'">Des. Expl. 2</xsl:when>
                    <xsl:when test="./i6:value = '61828'">Des. Expl. 3</xsl:when>
                    <xsl:when test="./i6:value = '61829'">Des. Expl. 4</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Implementation | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:RouteExposure | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:RouteExposure | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:RouteExposure | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:RouteExposure | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:RouteExposure | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:HazardCategory | //xt:HazardStatement | //xt:ReasonForNoClassification | //xt:SignalWord | //xt:Code | //xt:HazardStatement | //xt:PrecautionaryStatement | //xt:SupplHazardStatement | //xt:Note">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'HazardCategory'">Hazard category</xsl:when>
                    <xsl:when test="name(.) = 'SupplHazardStatement'">Additional non-GHS hazard statement</xsl:when>
                    <xsl:when test="name(.) = 'Note'"/>
                    <xsl:when test="name(.) = 'RouteExposure'">Route of exposure</xsl:when>
                    <xsl:when test="name(.) = 'SignalWord'">Signal word</xsl:when>
                    <xsl:when test="name(.) = 'HazardStatement'">Hazard statement</xsl:when>
                    <xsl:when test="name(.) = 'PrecautionaryStatement'">Precautionary statement</xsl:when>
                    <xsl:when test="name(.) = 'Code'">Code</xsl:when>
                    <xsl:when test="name(.) = 'Implementation'">Implementation</xsl:when>
                    <xsl:when test="name(.) = 'ReasonForNoClassification'">Reason for no classification</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:choose>
                    <xsl:when test="./i6:value = '107'">Australia</xsl:when>
                    <xsl:when test="./i6:value = '2725'">Brazil</xsl:when>
                    <xsl:when test="./i6:value = '206'">Canada</xsl:when>
                    <xsl:when test="./i6:value = '2750'">China</xsl:when>
                    <xsl:when test="./i6:value = '645'">EU</xsl:when>
                    <xsl:when test="./i6:value = '2866'">Indonesia</xsl:when>
                    <xsl:when test="./i6:value = '2883'">Korea, Republic Of</xsl:when>
                    <xsl:when test="./i6:value = '918'">Japan</xsl:when>
                    <xsl:when test="./i6:value = '2900'">Malaysia</xsl:when>
                    <xsl:when test="./i6:value = '1067'">Mexico</xsl:when>
                    <xsl:when test="./i6:value = '1161'">New Zealand</xsl:when>
                    <xsl:when test="./i6:value = '3175'">Russian Federation</xsl:when>
                    <xsl:when test="./i6:value = '3337'">Singapore</xsl:when>
                    <xsl:when test="./i6:value = '3344'">South Africa</xsl:when>
                    <xsl:when test="./i6:value = '3366'">Thailand</xsl:when>
                    <xsl:when test="./i6:value = '1641'">Turkey</xsl:when>
                    <xsl:when test="./i6:value = '1652'">United States</xsl:when>
                    <xsl:when test="./i6:value = '3410'">Uruguay</xsl:when>
                    <xsl:when test="./i6:value = '61824'">Vietnam</xsl:when>
                    <xsl:when test="./i6:value = '1342'">other:</xsl:when>
                    <xsl:when test="./i6:value = '7000'">Unst. Expl.</xsl:when>
                    <xsl:when test="./i6:value = '7001'">Expl. Div. 1.1</xsl:when>
                    <xsl:when test="./i6:value = '7002'">Expl. Div. 1.2</xsl:when>
                    <xsl:when test="./i6:value = '7003'">Expl. Div. 1.3</xsl:when>
                    <xsl:when test="./i6:value = '7004'">Expl. Div. 1.4</xsl:when>
                    <xsl:when test="./i6:value = '7005'">Expl. Div. 1.5</xsl:when>
                    <xsl:when test="./i6:value = '7006'">Expl. Div. 1.6</xsl:when>
                    <xsl:when test="./i6:value = '7264'">H200: Unstable explosives.</xsl:when>
                    <xsl:when test="./i6:value = '7265'">H201: Explosive; mass explosion hazard.</xsl:when>
                    <xsl:when test="./i6:value = '7266'">H202: Explosive, severe projection hazard.</xsl:when>
                    <xsl:when test="./i6:value = '7267'">H203: Explosive; fire, blast or projection hazard.</xsl:when>
                    <xsl:when test="./i6:value = '7268'">H204: Fire or projection hazard.</xsl:when>
                    <xsl:when test="./i6:value = '7269'">H205: May mass explode in fire.</xsl:when>
                    <xsl:when test="./i6:value = '8293'">No hazard statement</xsl:when>
                    <xsl:when test="./i6:value = '2778'">data lacking</xsl:when>
                    <xsl:when test="./i6:value = '2864'">inconclusive</xsl:when>
                    <xsl:when test="./i6:value = '2762'">conclusive but not sufficient for classification</xsl:when>
                    <xsl:when test="./i6:value = '7007'">Flam. Gas 1</xsl:when>
                    <xsl:when test="./i6:value = '7008'">Flam. Gas 2</xsl:when>
                    <xsl:when test="./i6:value = '8400'">Flam. Gas 1, Chem. Unst. Gas A</xsl:when>
                    <xsl:when test="./i6:value = '8401'">Flam. Gas 1, Chem. Unst. Gas B</xsl:when>
                    <xsl:when test="./i6:value = '8402'">Flam. Gas 2, Chem. Unst. Gas A</xsl:when>
                    <xsl:when test="./i6:value = '8403'">Flam. Gas 2, Chem. Unst. Gas B</xsl:when>
                    <xsl:when test="./i6:value = '7270'">H220: Extremely flammable gas.</xsl:when>
                    <xsl:when test="./i6:value = '7271'">H221: Flammable gas.</xsl:when>
                    <xsl:when test="./i6:value = '8404'">H220: Extremely flammable gas, H230: May react explosively even in the absence of air</xsl:when>
                    <xsl:when test="./i6:value = '8405'">H220: Extremely flammable gas, H231: May react explosively even in the absence of air at elevated pressure and/or temperature</xsl:when>
                    <xsl:when test="./i6:value = '8406'">H221: Flammable gas, H230: May react explosively even in the absence of air</xsl:when>
                    <xsl:when test="./i6:value = '8407'">H221: Flammable gas, H231: May react explosively even in the absence of air at elevated pressure and/or temperature</xsl:when>
                    <xsl:when test="./i6:value = '7009'">Aerosol 1</xsl:when>
                    <xsl:when test="./i6:value = '7010'">Aerosol 2</xsl:when>
                    <xsl:when test="./i6:value = '8408'">Aerosol 3</xsl:when>
                    <xsl:when test="./i6:value = '7272'">H222 : Extremely flammable aerosol, H229 : Pressurised container: May burst if heated</xsl:when>
                    <xsl:when test="./i6:value = '7273'">H223 : Flammable aerosol, H229 : Pressurised container: May burst if heated</xsl:when>
                    <xsl:when test="./i6:value = '8409'">H229: Pressurised container: May burst if heated</xsl:when>
                    <xsl:when test="./i6:value = '7011'">Oxid. Gas 1</xsl:when>
                    <xsl:when test="./i6:value = '7287'">H270: May cause or intensify fire; oxidiser.</xsl:when>
                    <xsl:when test="./i6:value = '7012'">Compressed gas</xsl:when>
                    <xsl:when test="./i6:value = '7013'">Liquefied gas</xsl:when>
                    <xsl:when test="./i6:value = '7014'">Refrigerated liquefied gas</xsl:when>
                    <xsl:when test="./i6:value = '7015'">Dissolved gas</xsl:when>
                    <xsl:when test="./i6:value = '7290'">H280: Contains gas under pressure; may explode if heated.</xsl:when>
                    <xsl:when test="./i6:value = '7291'">H281: Contains refrigerated gas; may cause cryogenic burns or injury.</xsl:when>
                    <xsl:when test="./i6:value = '7159'">Flam. Liquid 1</xsl:when>
                    <xsl:when test="./i6:value = '7160'">Flam. Liquid 2</xsl:when>
                    <xsl:when test="./i6:value = '7161'">Flam. Liquid 3</xsl:when>
                    <xsl:when test="./i6:value = '7162'">Flam. Liquid 4</xsl:when>
                    <xsl:when test="./i6:value = '7274'">H224: Extremely flammable liquid and vapour.</xsl:when>
                    <xsl:when test="./i6:value = '7275'">H225: Highly flammable liquid and vapour.</xsl:when>
                    <xsl:when test="./i6:value = '7276'">H226: Flammable liquid and vapour.</xsl:when>
                    <xsl:when test="./i6:value = '7277'">H227: Combustible liquid.</xsl:when>
                    <xsl:when test="./i6:value = '7016'">Flam. Solid 1</xsl:when>
                    <xsl:when test="./i6:value = '7017'">Flam. Solid 2</xsl:when>
                    <xsl:when test="./i6:value = '7278'">H228: Flammable solid.</xsl:when>
                    <xsl:when test="./i6:value = '7018'">Self React. Type A</xsl:when>
                    <xsl:when test="./i6:value = '7019'">Self React. Type B</xsl:when>
                    <xsl:when test="./i6:value = '7020'">Self React. Type C</xsl:when>
                    <xsl:when test="./i6:value = '7021'">Self React. Type D</xsl:when>
                    <xsl:when test="./i6:value = '7022'">Self React. Type E</xsl:when>
                    <xsl:when test="./i6:value = '7023'">Self React. Type F</xsl:when>
                    <xsl:when test="./i6:value = '7024'">Self React. Type G</xsl:when>
                    <xsl:when test="./i6:value = '7279'">H240: Heating may cause an explosion.</xsl:when>
                    <xsl:when test="./i6:value = '7280'">H241: Heating may cause a fire or explosion.</xsl:when>
                    <xsl:when test="./i6:value = '7281'">H242: Heating may cause a fire.</xsl:when>
                    <xsl:when test="./i6:value = '7025'">Pyr. Liquid 1</xsl:when>
                    <xsl:when test="./i6:value = '7282'">H250: Catches fire spontaneously if exposed to air.</xsl:when>
                    <xsl:when test="./i6:value = '7026'">Pyr. Solid 1</xsl:when>
                    <xsl:when test="./i6:value = '7027'">Self Heat. 1</xsl:when>
                    <xsl:when test="./i6:value = '7028'">Self Heat. 2</xsl:when>
                    <xsl:when test="./i6:value = '7283'">H251: Self-heating: may catch fire.</xsl:when>
                    <xsl:when test="./i6:value = '7284'">H252: Self-heating in large quantities; may catch fire.</xsl:when>
                    <xsl:when test="./i6:value = '7029'">Water React. Flam. Gas 1</xsl:when>
                    <xsl:when test="./i6:value = '7030'">Water React. Flam. Gas 2</xsl:when>
                    <xsl:when test="./i6:value = '7031'">Water React. Flam. Gas 3</xsl:when>
                    <xsl:when test="./i6:value = '7285'">H260: In contact with water releases flammable gases which may ignite spontaneously.</xsl:when>
                    <xsl:when test="./i6:value = '7286'">H261: In contact with water releases flammable gases.</xsl:when>
                    <xsl:when test="./i6:value = '7032'">Oxid. Liquid 1</xsl:when>
                    <xsl:when test="./i6:value = '7033'">Oxid. Liquid 2</xsl:when>
                    <xsl:when test="./i6:value = '7034'">Oxid. Liquid 3</xsl:when>
                    <xsl:when test="./i6:value = '7288'">H271: May cause fire or explosion; strong oxidiser.</xsl:when>
                    <xsl:when test="./i6:value = '7289'">H272: May intensify fire; oxidiser.</xsl:when>
                    <xsl:when test="./i6:value = '7035'">Oxid. Solid 1</xsl:when>
                    <xsl:when test="./i6:value = '7036'">Oxid. Solid 2</xsl:when>
                    <xsl:when test="./i6:value = '7037'">Oxid. Solid 3</xsl:when>
                    <xsl:when test="./i6:value = '7038'">Org. Perox. Type A</xsl:when>
                    <xsl:when test="./i6:value = '7039'">Org. Perox. Type B</xsl:when>
                    <xsl:when test="./i6:value = '7040'">Org. Perox. Type C</xsl:when>
                    <xsl:when test="./i6:value = '7041'">Org. Perox. Type D</xsl:when>
                    <xsl:when test="./i6:value = '7042'">Org. Perox. Type E</xsl:when>
                    <xsl:when test="./i6:value = '7043'">Org. Perox. Type F</xsl:when>
                    <xsl:when test="./i6:value = '7044'">Org. Perox. Type G</xsl:when>
                    <xsl:when test="./i6:value = '7045'">Met. Corr. 1</xsl:when>
                    <xsl:when test="./i6:value = '7292'">H290: May be corrosive to metals.</xsl:when>
                    <xsl:when test="./i6:value = '61825'">Des. Expl. 1</xsl:when>
                    <xsl:when test="./i6:value = '61826'">Des. Expl. 2</xsl:when>
                    <xsl:when test="./i6:value = '61828'">Des. Expl. 3</xsl:when>
                    <xsl:when test="./i6:value = '61829'">Des. Expl. 4</xsl:when>
                    <xsl:when test="./i6:value = '61830'">H206: Fire, blast or projection hazard; increased risk of explosion if desensitizing agent is reduced.</xsl:when>
                    <xsl:when test="./i6:value = '61831'">H207: Fire or projection hazard; increased risk of explosion if desensitizing agent is reduced.</xsl:when>
                    <xsl:when test="./i6:value = '61832'">H208: Fire hazard; increased risk of explosion if desensitizing agent is reduced.</xsl:when>
                    <xsl:when test="./i6:value = '7046'">Acute Tox. 1</xsl:when>
                    <xsl:when test="./i6:value = '7047'">Acute Tox. 2</xsl:when>
                    <xsl:when test="./i6:value = '7048'">Acute Tox. 3</xsl:when>
                    <xsl:when test="./i6:value = '7049'">Acute Tox. 4</xsl:when>
                    <xsl:when test="./i6:value = '7050'">Acute Tox. 5</xsl:when>
                    <xsl:when test="./i6:value = '7293'">H300: Fatal if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '7294'">H301: Toxic if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '7295'">H302: Harmful if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '8208'">H303: May be harmful if swallowed.</xsl:when>
                    <xsl:when test="./i6:value = '7296'">H310: Fatal in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '7297'">H311: Toxic in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '7298'">H312: Harmful in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '8209'">H313: May be harmful in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '7306'">H330: Fatal if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '7307'">H331: Toxic if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '7308'">H332: Harmful if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8286'">H333: May be harmful if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '61834'">Skin Corr. 1</xsl:when>
                    <xsl:when test="./i6:value = '7051'">Skin Corr. 1A</xsl:when>
                    <xsl:when test="./i6:value = '7052'">Skin Corr. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7053'">Skin Corr. 1C</xsl:when>
                    <xsl:when test="./i6:value = '7054'">Skin Irrit. 2</xsl:when>
                    <xsl:when test="./i6:value = '7055'">Skin Mild Irrit. 3</xsl:when>
                    <xsl:when test="./i6:value = '7299'">H314: Causes severe skin burns and eye damage.</xsl:when>
                    <xsl:when test="./i6:value = '7300'">H315: Causes skin irritation.</xsl:when>
                    <xsl:when test="./i6:value = '7301'">H316: Causes mild skin irritation.</xsl:when>
                    <xsl:when test="./i6:value = '7056'">Eye Damage 1</xsl:when>
                    <xsl:when test="./i6:value = '7057'">Eye Irrit. 2A</xsl:when>
                    <xsl:when test="./i6:value = '7058'">Eye Irrit. 2B</xsl:when>
                    <xsl:when test="./i6:value = '7059'">Eye Irrit. 2</xsl:when>
                    <xsl:when test="./i6:value = '7302'">H318: Causes serious eye damage.</xsl:when>
                    <xsl:when test="./i6:value = '7303'">H319: Causes serious eye irritation.</xsl:when>
                    <xsl:when test="./i6:value = '7304'">H320: Causes eye irritation.</xsl:when>
                    <xsl:when test="./i6:value = '7060'">Resp. Sens. 1</xsl:when>
                    <xsl:when test="./i6:value = '8287'">Resp. Sens. 1A</xsl:when>
                    <xsl:when test="./i6:value = '8288'">Resp. Sens. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7313'">H334: May cause allergy or asthma symptoms or breathing difficulties if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '7061'">Skin Sens. 1</xsl:when>
                    <xsl:when test="./i6:value = '8289'">Skin Sens. 1A</xsl:when>
                    <xsl:when test="./i6:value = '8290'">Skin Sens. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7305'">H317: May cause an allergic skin reaction.</xsl:when>
                    <xsl:when test="./i6:value = '7077'">Asp. Tox. 1</xsl:when>
                    <xsl:when test="./i6:value = '7078'">Asp. Tox. 2</xsl:when>
                    <xsl:when test="./i6:value = '7309'">H304: May be fatal if swallowed and enters airways.</xsl:when>
                    <xsl:when test="./i6:value = '7310'">H305: May be harmful if swallowed and enters airways.</xsl:when>
                    <xsl:when test="./i6:value = '7068'">Repr. 1A</xsl:when>
                    <xsl:when test="./i6:value = '7069'">Repr. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7070'">Repr. 2</xsl:when>
                    <xsl:when test="./i6:value = '7318'">H360: May damage fertility or the unborn child &lt;state specific effect if known &gt; &lt;state route of exposure if it is conclusively proven that no other routes of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '7319'">H361: Suspected of damaging fertility or the unborn child &lt;state specific effect if known&gt; &lt;state route of exposure if it is conclusively proven that no other routes of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '5136'">Oral</xsl:when>
                    <xsl:when test="./i6:value = '5137'">Dermal</xsl:when>
                    <xsl:when test="./i6:value = '8052'">Inhalation</xsl:when>
                    <xsl:when test="./i6:value = '55436'">Oral and Dermal</xsl:when>
                    <xsl:when test="./i6:value = '55437'">Oral and Inhalation</xsl:when>
                    <xsl:when test="./i6:value = '55438'">Dermal and Inhalation</xsl:when>
                    <xsl:when test="./i6:value = '7571'">Effect on or via lactation</xsl:when>
                    <xsl:when test="./i6:value = '7320'">H362: May cause harm to breast-fed children.</xsl:when>
                    <xsl:when test="./i6:value = '7062'">Muta. 1A</xsl:when>
                    <xsl:when test="./i6:value = '7063'">Muta. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7064'">Muta. 2</xsl:when>
                    <xsl:when test="./i6:value = '7314'">H340: May cause genetic defects &lt;state route of exposure if it is conclusively proven that no other routes of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '7315'">H341: Suspected of causing genetic defects &lt;state route of exposure if it is conclusively proven that no other routes of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '7065'">Carc. 1A</xsl:when>
                    <xsl:when test="./i6:value = '7066'">Carc. 1B</xsl:when>
                    <xsl:when test="./i6:value = '7067'">Carc. 2</xsl:when>
                    <xsl:when test="./i6:value = '7316'">H350: May cause cancer &lt;state route of exposure if it is conclusively proven that no other routes of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '7317'">H351: Suspected of causing cancer &lt;state route of exposure if it is conclusively proven that no other routs of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '7071'">STOT Single Exp. 1</xsl:when>
                    <xsl:when test="./i6:value = '7072'">STOT Single Exp. 2</xsl:when>
                    <xsl:when test="./i6:value = '7073'">STOT Single Exp. 3</xsl:when>
                    <xsl:when test="./i6:value = '7321'">H370: Causes damage to organs &lt;or state all organs affected, if known&gt; &lt;state route of exposure if it is conclusively proven that no other routes of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '7322'">H371: May cause damage to organs &lt;or state all organs affected, if known&gt; &lt;state route of exposure if it is conclusively proven that no other routes of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '7311'">H335: May cause respiratory irritation.</xsl:when>
                    <xsl:when test="./i6:value = '7312'">H336: May cause drowsiness or dizziness.</xsl:when>
                    <xsl:when test="./i6:value = '7075'">STOT Rep. Exp. 1</xsl:when>
                    <xsl:when test="./i6:value = '7076'">STOT Rep. Exp. 2</xsl:when>
                    <xsl:when test="./i6:value = '7323'">H372: Causes damage to organs &lt;or state all organs affected, if known&gt; through prolonged or repeated exposure &lt;state route of exposure if it is conclusively proven that no other routes of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '7324'">H373: May cause damage to organs &lt;or state all organs affected, if known&gt; through prolonged or repeated exposure &lt;state route of exposure if it is conclusively proven that no other routes of exposure cause the hazard&gt;.</xsl:when>
                    <xsl:when test="./i6:value = '7079'">Aquatic Acute 1</xsl:when>
                    <xsl:when test="./i6:value = '7080'">Aquatic Acute 2</xsl:when>
                    <xsl:when test="./i6:value = '7081'">Aquatic Acute 3</xsl:when>
                    <xsl:when test="./i6:value = '7325'">H400: Very toxic to aquatic life.</xsl:when>
                    <xsl:when test="./i6:value = '8210'">H401: Toxic to aquatic life.</xsl:when>
                    <xsl:when test="./i6:value = '8211'">H402: Harmful to aquatic life.</xsl:when>
                    <xsl:when test="./i6:value = '7082'">Aquatic Chronic 1</xsl:when>
                    <xsl:when test="./i6:value = '7083'">Aquatic Chronic 2</xsl:when>
                    <xsl:when test="./i6:value = '7084'">Aquatic Chronic 3</xsl:when>
                    <xsl:when test="./i6:value = '7085'">Aquatic Chronic 4</xsl:when>
                    <xsl:when test="./i6:value = '7326'">H410: Very toxic to aquatic life with long lasting effects.</xsl:when>
                    <xsl:when test="./i6:value = '7327'">H411: Toxic to aquatic life with long lasting effects.</xsl:when>
                    <xsl:when test="./i6:value = '7328'">H412: Harmful to aquatic life with long lasting effects.</xsl:when>
                    <xsl:when test="./i6:value = '7329'">H413: May cause long lasting harmful effects to aquatic life.</xsl:when>
                    <xsl:when test="./i6:value = '8292'">Hazardous to the ozone layer 1</xsl:when>
                    <xsl:when test="./i6:value = '8013'">EUH059: Hazardous to the ozone layer.</xsl:when>
                    <xsl:when test="./i6:value = '8212'">H420: Harms public health and the environment by destroying ozone in the upper atmosphere.</xsl:when>
                    <xsl:when test="./i6:value = '7086'">Danger</xsl:when>
                    <xsl:when test="./i6:value = '7087'">Warning</xsl:when>
                    <xsl:when test="./i6:value = '7088'">No signal word</xsl:when>
                    <xsl:when test="./i6:value = '8027'">GHS01: exploding bomb</xsl:when>
                    <xsl:when test="./i6:value = '8028'">GHS02: flame</xsl:when>
                    <xsl:when test="./i6:value = '8029'">GHS03: flame over circle</xsl:when>
                    <xsl:when test="./i6:value = '8030'">GHS04: gas cylinder</xsl:when>
                    <xsl:when test="./i6:value = '8031'">GHS05: corrosion</xsl:when>
                    <xsl:when test="./i6:value = '8032'">GHS06: skull and crossbones</xsl:when>
                    <xsl:when test="./i6:value = '8033'">GHS07: exclamation mark</xsl:when>
                    <xsl:when test="./i6:value = '8034'">GHS08: health hazard</xsl:when>
                    <xsl:when test="./i6:value = '8035'">GHS09: environment</xsl:when>
                    <xsl:when test="./i6:value = '8215'">H300+H310: Fatal if swallowed or in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '8216'">H300+H330: Fatal if swallowed or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8217'">H310+H330: Fatal in contact with skin or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8218'">H300+H310+H330: Fatal if swallowed, in contact with skin or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8219'">H301+H311: Toxic if swallowed or in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '8220'">H301+H331: Toxic if swallowed or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8221'">H311+H331: Toxic in contact with skin or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8222'">H301+H311+H331: Toxic if swallowed, in contact with skin or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8223'">H302+H312: Harmful if swallowed or in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '8224'">H302+H332: Harmful if swallowed or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8225'">H312+H332: Harmful in contact with skin or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8226'">H302+H312+H332: Harmful if swallowed, in contact with skin or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8227'">H303+H313: May be harmful if swallowed or in contact with skin.</xsl:when>
                    <xsl:when test="./i6:value = '8228'">H303+H333: May be harmful if swallowed or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8229'">H313+H333: May be harmful in contact with skin or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8230'">H303+H313+H333: May be harmful if swallowed, in contact with skin or if inhaled.</xsl:when>
                    <xsl:when test="./i6:value = '8231'">H315+H320: Causes skin and eye irritation.</xsl:when>
                    <xsl:when test="./i6:value = '9104'">H230: May react explosively even in the absence of air</xsl:when>
                    <xsl:when test="./i6:value = '9105'">H231: May react explosively even in the absence of air at elevated pressure and/or temperature</xsl:when>
                    <xsl:when test="./i6:value = '7330'">P101: If medical advice is needed, have product container or label at hand.</xsl:when>
                    <xsl:when test="./i6:value = '7331'">P102: Keep out of reach of children.</xsl:when>
                    <xsl:when test="./i6:value = '7332'">P103: Read label before use.</xsl:when>
                    <xsl:when test="./i6:value = '7333'">P201: Obtain special instructions before use.</xsl:when>
                    <xsl:when test="./i6:value = '7334'">P202: Do not handle until all safety precautions have been read and understood.</xsl:when>
                    <xsl:when test="./i6:value = '7335'">P210: Keep away from heat, hot surfaces, sparks, open flames and other ignition sources. No smoking.</xsl:when>
                    <xsl:when test="./i6:value = '7336'">P211: Do not spray on an open flame or other ignition source.</xsl:when>
                    <xsl:when test="./i6:value = '61835'">P212: Avoid heating under confinement or reduction of the desensitizing agent.</xsl:when>
                    <xsl:when test="./i6:value = '7337'">P220: Keep away from clothing or other combustible materials.</xsl:when>
                    <xsl:when test="./i6:value = '7338'">P221: Take any precaution to avoid mixing with combustibles...</xsl:when>
                    <xsl:when test="./i6:value = '7339'">P222: Do not allow contact with air.</xsl:when>
                    <xsl:when test="./i6:value = '7340'">P223: Do not allow contact with water.</xsl:when>
                    <xsl:when test="./i6:value = '7341'">P230: Keep wetted with... ...Manufacturer/supplier or the competent authority to specify appropriate material.</xsl:when>
                    <xsl:when test="./i6:value = '7342'">P231: Handle and store contents under inert gas/…</xsl:when>
                    <xsl:when test="./i6:value = '7343'">P232: Protect from moisture.</xsl:when>
                    <xsl:when test="./i6:value = '7344'">P233: Keep container tightly closed.</xsl:when>
                    <xsl:when test="./i6:value = '7345'">P234: Keep only in original packaging.</xsl:when>
                    <xsl:when test="./i6:value = '7346'">P235: Keep cool.</xsl:when>
                    <xsl:when test="./i6:value = '7347'">P240: Ground and bond container and receiving equipment.</xsl:when>
                    <xsl:when test="./i6:value = '7348'">P241: Use explosion-proof [electrical/ventilating/lighting/...] equipment.</xsl:when>
                    <xsl:when test="./i6:value = '7349'">P242: Use non-sparking tools.</xsl:when>
                    <xsl:when test="./i6:value = '7350'">P243: Take actions to pevent static discharges.</xsl:when>
                    <xsl:when test="./i6:value = '7351'">P244: Keep valves and fittings free from oil and grease.</xsl:when>
                    <xsl:when test="./i6:value = '7352'">P250: Do not subject to grinding/shock/friction/…</xsl:when>
                    <xsl:when test="./i6:value = '7353'">P251: Do not pierce or burn, even after use.</xsl:when>
                    <xsl:when test="./i6:value = '7354'">P260: Do not breathe dust/fume/gas/mist/vapours/spray.</xsl:when>
                    <xsl:when test="./i6:value = '7355'">P261: Avoid breathing dust/fume/gas/mist/vapours/spray.</xsl:when>
                    <xsl:when test="./i6:value = '7356'">P262: Do not get in eyes, on skin, or on clothing.</xsl:when>
                    <xsl:when test="./i6:value = '7357'">P263: Avoid contact during pregnancy and while nursing.</xsl:when>
                    <xsl:when test="./i6:value = '7358'">P264: Wash ... thoroughly after handling.</xsl:when>
                    <xsl:when test="./i6:value = '7359'">P270: Do no eat, drink or smoke when using this product.</xsl:when>
                    <xsl:when test="./i6:value = '7360'">P271: Use only outdoors or in a well-ventilated area.</xsl:when>
                    <xsl:when test="./i6:value = '7361'">P272: Contaminated work clothing should not be allowed out of the workplace.</xsl:when>
                    <xsl:when test="./i6:value = '7362'">P273: Avoid release to the environment.</xsl:when>
                    <xsl:when test="./i6:value = '7363'">P280: Wear protective gloves/protective clothing/eye protection/face protection.</xsl:when>
                    <xsl:when test="./i6:value = '7364'">P281: Use personal protective equipment as required.</xsl:when>
                    <xsl:when test="./i6:value = '7365'">P282: Wear cold insulating gloves and either face shield or eye protection.</xsl:when>
                    <xsl:when test="./i6:value = '7366'">P283: Wear fire resistant or flame retardant clothing.</xsl:when>
                    <xsl:when test="./i6:value = '7367'">P284: [In case of inadequate ventilation] wear respiratory protection.</xsl:when>
                    <xsl:when test="./i6:value = '7368'">P285: In case of inadequate ventilation wear respiratory protection.</xsl:when>
                    <xsl:when test="./i6:value = '7369'">P231+P232: Handle and store contents under inert gas/… . Protect from moisture.</xsl:when>
                    <xsl:when test="./i6:value = '7370'">P235+P410: Keep cool. Protect from sunlight.</xsl:when>
                    <xsl:when test="./i6:value = '7371'">P301: IF SWALLOWED:</xsl:when>
                    <xsl:when test="./i6:value = '7372'">P302: IF ON SKIN:</xsl:when>
                    <xsl:when test="./i6:value = '7373'">P303: IF ON SKIN (or hair):</xsl:when>
                    <xsl:when test="./i6:value = '7374'">P304: IF INHALED:</xsl:when>
                    <xsl:when test="./i6:value = '7375'">P305: IF IN EYES:</xsl:when>
                    <xsl:when test="./i6:value = '7376'">P306: IF ON CLOTHING:</xsl:when>
                    <xsl:when test="./i6:value = '7377'">P307: IF exposed:</xsl:when>
                    <xsl:when test="./i6:value = '7378'">P308: IF exposed or concerned:</xsl:when>
                    <xsl:when test="./i6:value = '7379'">P309: IF exposed or if you feel unwell:</xsl:when>
                    <xsl:when test="./i6:value = '7380'">P310: Immediately call a POISON CENTER/doctor/…</xsl:when>
                    <xsl:when test="./i6:value = '7381'">P311: Call a POISON CENTER/doctor/…</xsl:when>
                    <xsl:when test="./i6:value = '7382'">P312: Call a POISON CENTER/doctor/.../if you feel unwell.</xsl:when>
                    <xsl:when test="./i6:value = '7383'">P313: Get medical advice/attention.</xsl:when>
                    <xsl:when test="./i6:value = '7384'">P314: Get medical advice/attention if you feel unwell.</xsl:when>
                    <xsl:when test="./i6:value = '7385'">P315: Get immediate medical advice/attention.</xsl:when>
                    <xsl:when test="./i6:value = '7386'">P320: Specific treatment is urgent (see ... on this label).</xsl:when>
                    <xsl:when test="./i6:value = '7387'">P321: Specific treatment (see ... on this label).</xsl:when>
                    <xsl:when test="./i6:value = '7388'">P322: Specific measures (see ... on this label).</xsl:when>
                    <xsl:when test="./i6:value = '7389'">P330: Rinse mouth.</xsl:when>
                    <xsl:when test="./i6:value = '7390'">P331: Do NOT induce vomiting.</xsl:when>
                    <xsl:when test="./i6:value = '7391'">P332: If skin irritation occurs:</xsl:when>
                    <xsl:when test="./i6:value = '7392'">P333: If skin irritation or rash occurs:</xsl:when>
                    <xsl:when test="./i6:value = '7393'">P334: Immerse in cool water [or wrap in wet bandages].</xsl:when>
                    <xsl:when test="./i6:value = '7394'">P335: Brush off loose particles from skin.</xsl:when>
                    <xsl:when test="./i6:value = '7395'">P336: Thaw frosted parts with lukewarm water. Do no rub affected area.</xsl:when>
                    <xsl:when test="./i6:value = '7396'">P337: If eye irritation persists:</xsl:when>
                    <xsl:when test="./i6:value = '7397'">P338: Remove contact lenses, if present and easy to do. Continue rinsing.</xsl:when>
                    <xsl:when test="./i6:value = '7398'">P340: Remove person to fresh air and keep comfortable for breathing.</xsl:when>
                    <xsl:when test="./i6:value = '7399'">P341: If breathing is difficult, remove victim to fresh air and keep at rest in a position comfortable for breathing.</xsl:when>
                    <xsl:when test="./i6:value = '7400'">P342: If experiencing respiratory symptoms:</xsl:when>
                    <xsl:when test="./i6:value = '7401'">P350: Gently wash with plenty of soap and water.</xsl:when>
                    <xsl:when test="./i6:value = '7402'">P351: Rinse cautiously with water for several minutes.</xsl:when>
                    <xsl:when test="./i6:value = '7403'">P352: Wash with plenty of water/…</xsl:when>
                    <xsl:when test="./i6:value = '7404'">P353: Rinse skin with water [or shower].</xsl:when>
                    <xsl:when test="./i6:value = '7405'">P360: Rinse immediately contaminated clothing and skin with plenty of water before removing clothes.</xsl:when>
                    <xsl:when test="./i6:value = '7406'">P361: Take off immediately all contaminated clothing.</xsl:when>
                    <xsl:when test="./i6:value = '8233'">P362: Take off contaminated clothing.</xsl:when>
                    <xsl:when test="./i6:value = '7407'">P363: Wash contaminated clothing before reuse.</xsl:when>
                    <xsl:when test="./i6:value = '7408'">P370: In case of fire:</xsl:when>
                    <xsl:when test="./i6:value = '7409'">P371: In case of major fire and large quantities:</xsl:when>
                    <xsl:when test="./i6:value = '7410'">P372: Explosion risk.</xsl:when>
                    <xsl:when test="./i6:value = '7411'">P373: DO NOT fight fire when fire reaches explosives.</xsl:when>
                    <xsl:when test="./i6:value = '7412'">P374: Fight fire with normal precautions from a reasonable distance.</xsl:when>
                    <xsl:when test="./i6:value = '7413'">P375: Fight fire remotely due to the risk of explosion.</xsl:when>
                    <xsl:when test="./i6:value = '7414'">P376: Stop leak if safe to do so.</xsl:when>
                    <xsl:when test="./i6:value = '7415'">P377: Leaking gas fire: Do not extinguish, unless leak can be stopped safely.</xsl:when>
                    <xsl:when test="./i6:value = '7416'">P378: Use... to extinguish.</xsl:when>
                    <xsl:when test="./i6:value = '7417'">P380: Evacuate area.</xsl:when>
                    <xsl:when test="./i6:value = '7418'">P381: In case of leakage eliminate all ignition sources.</xsl:when>
                    <xsl:when test="./i6:value = '7419'">P390: Absorb spillage to prevent material damage.</xsl:when>
                    <xsl:when test="./i6:value = '7420'">P391: Collect spillage.</xsl:when>
                    <xsl:when test="./i6:value = '7421'">P301+P310: IF SWALLOWED: Immediately call a POISON CENTER/doctor/…</xsl:when>
                    <xsl:when test="./i6:value = '7422'">P301+P312: IF SWALLOWED: Call a POISON CENTER/doctor/... if you feel unwell.</xsl:when>
                    <xsl:when test="./i6:value = '7424'">P302+P334: IF ON SKIN: Immerse in cool water [or wrap in wet bandages].</xsl:when>
                    <xsl:when test="./i6:value = '7426'">P302+P352: IF ON SKIN: Wash with plenty of water/…</xsl:when>
                    <xsl:when test="./i6:value = '7428'">P304+P312: IF INHALED: Call a POISON CENTER or doctor/physician if you feel unwell.</xsl:when>
                    <xsl:when test="./i6:value = '7429'">P304+P340: IF INHALED: Remove person to fresh air and keep comfortable for breathing.</xsl:when>
                    <xsl:when test="./i6:value = '7430'">P304+P341: IF INHALED: If breathing is difficult, remove victim to fresh air and keep at rest in a position comfortable for breathing.</xsl:when>
                    <xsl:when test="./i6:value = '7432'">P306+P360: IF ON CLOTHING: rinse immediately contaminated clothing and skin with plenty of water before removing clothes.</xsl:when>
                    <xsl:when test="./i6:value = '7433'">P307+P311: IF exposed: Call a POISON CENTER or doctor/physician.</xsl:when>
                    <xsl:when test="./i6:value = '7434'">P308+P313: IF exposed or concerned: Get medical advice/attention.</xsl:when>
                    <xsl:when test="./i6:value = '7435'">P309+P311: IF exposed or if you feel unwell: Call a POISON CENTER or doctor/physician.</xsl:when>
                    <xsl:when test="./i6:value = '7436'">P332+P313: If skin irritation occurs: Get medical advice/attention.</xsl:when>
                    <xsl:when test="./i6:value = '7437'">P333+P313: If skin irritation or rash occurs: Get medical advice/attention.</xsl:when>
                    <xsl:when test="./i6:value = '61837'">P336+P315: Thaw frosted parts with lukewarm water. Do not rub affected area. Get immediate medical advice/attention.</xsl:when>
                    <xsl:when test="./i6:value = '7439'">P337+P313: If eye irritation persists: Get medical advice/attention.</xsl:when>
                    <xsl:when test="./i6:value = '7440'">P342+P311: If experiencing respiratory symptoms: Call a POISON CENTER/doctor/…</xsl:when>
                    <xsl:when test="./i6:value = '7441'">P370+P376: In case of fire: Stop leak if safe to do so.</xsl:when>
                    <xsl:when test="./i6:value = '7442'">P370+P378: In case of fire: Use... to extinguish.</xsl:when>
                    <xsl:when test="./i6:value = '7443'">P370+P380: In case of fire: Evacuate area.</xsl:when>
                    <xsl:when test="./i6:value = '7423'">P301+P330+P331: IF SWALLOWED: rinse mouth. Do NOT induce vomiting.</xsl:when>
                    <xsl:when test="./i6:value = '7438'">P302+P335+P334: IF ON SKIN: Brush off loose particles from skin. Immerse in cool water [or wrap in wet bandages].</xsl:when>
                    <xsl:when test="./i6:value = '7427'">P303+P361+P353: IF ON SKIN (or hair): Take off immediately all contaminated clothing. Rinse skin with water [or shower].</xsl:when>
                    <xsl:when test="./i6:value = '7431'">P305+P351+P338: IF IN EYES: Rinse cautiously with water for several minutes. Remove contact lenses, if present and easy to do. Continue rinsing.</xsl:when>
                    <xsl:when test="./i6:value = '7444'">P370+P380+P375: In case of fire: Evacuate area. Fight fire remotely due to the risk of explosion.</xsl:when>
                    <xsl:when test="./i6:value = '7445'">P371+P380+P375: In case of major fire and large quantities: Evacuate area. Fight fire remotely due to the risk of explosion.</xsl:when>
                    <xsl:when test="./i6:value = '61839'">P370+P372+P380+P373: In case of fire: Explosion risk. Evacuate area. DO NOT fight fire when fire reaches explosives.</xsl:when>
                    <xsl:when test="./i6:value = '61841'">P370+P380+P375+[P378]: In case of fire: Evacuate area. Fight fire remotely due to the risk of explosion. [Use ... to extinguish].</xsl:when>
                    <xsl:when test="./i6:value = '7446'">P401: Store in accordance with ... …Manufacturer/supplier or the competent authority to specify local/regional/ national/international regulations as applicable.</xsl:when>
                    <xsl:when test="./i6:value = '7447'">P402: Store in a dry place.</xsl:when>
                    <xsl:when test="./i6:value = '7448'">P403: Store in a well-ventilated place.</xsl:when>
                    <xsl:when test="./i6:value = '7449'">P404: Store in a closed container.</xsl:when>
                    <xsl:when test="./i6:value = '7450'">P405: Store locked up.</xsl:when>
                    <xsl:when test="./i6:value = '7451'">P406: Store in a corrosion resistant/... container with a resistant inner liner.</xsl:when>
                    <xsl:when test="./i6:value = '7452'">P407: Maintain air gap between stacks or pallets.</xsl:when>
                    <xsl:when test="./i6:value = '7453'">P410: Protect from sunlight.</xsl:when>
                    <xsl:when test="./i6:value = '7454'">P411: Store at temperatures not exceeding ...°C/...°F.</xsl:when>
                    <xsl:when test="./i6:value = '7455'">P412: Do not expose at temperatures exceeding 50°C/ 122°F.</xsl:when>
                    <xsl:when test="./i6:value = '7456'">P413: Store bulk masses greater than ... kg/... lbs at temperatures not exceeding ...°C/...°F.</xsl:when>
                    <xsl:when test="./i6:value = '7457'">P420: Store separately.</xsl:when>
                    <xsl:when test="./i6:value = '7458'">P422: Store contents under ...</xsl:when>
                    <xsl:when test="./i6:value = '7459'">P402+P404: Store in a dry place. Store in a closed container.</xsl:when>
                    <xsl:when test="./i6:value = '7460'">P403+P233: Store in a well-ventilated place. Keep container tightly closed.</xsl:when>
                    <xsl:when test="./i6:value = '7461'">P403+P235: Store in a well-ventilated place. Keep cool.</xsl:when>
                    <xsl:when test="./i6:value = '7462'">P410+P403: Protect from sunlight. Store in a well-ventilated place.</xsl:when>
                    <xsl:when test="./i6:value = '7463'">P410+P412: Protect from sunlight. Do no expose to temperatures exceeding 50°C/ 122°F.</xsl:when>
                    <xsl:when test="./i6:value = '7464'">P411+P235: Store at temperatures not exceeding ...°C/...°F. Keep cool.</xsl:when>
                    <xsl:when test="./i6:value = '7465'">P501: Dispose of contents/container to ... …in accordance with local/regional/national /international regulations (to be specified). Manufacturer/supplier or the competent authority to specify whether disposal requirements apply to contents, container or both.</xsl:when>
                    <xsl:when test="./i6:value = '8234'">P502: Refer to manufacturer or supplier for information on recovery or recycling.</xsl:when>
                    <xsl:when test="./i6:value = '8410'">P364: And wash it before reuse.</xsl:when>
                    <xsl:when test="./i6:value = '8413'">P308+P311: IF exposed or concerned: Call a POISON CENTER/doctor/…</xsl:when>
                    <xsl:when test="./i6:value = '8411'">P361+P364: Take off immediately all contaminated clothing and wash it before reuse.</xsl:when>
                    <xsl:when test="./i6:value = '8412'">P362+P364: Take off contaminated clothing and wash it before reuse.</xsl:when>
                    <xsl:when test="./i6:value = '7425'">P302+P350: IF ON SKIN: Gently wash with plenty of soap and water.</xsl:when>
                    <xsl:when test="./i6:value = '8001'">EUH001: Explosive when dry.</xsl:when>
                    <xsl:when test="./i6:value = '8002'">EUH006: Explosive with or without contact with air.</xsl:when>
                    <xsl:when test="./i6:value = '8003'">EUH014: Reacts violently with water.</xsl:when>
                    <xsl:when test="./i6:value = '8004'">EUH018: In use, may form flammable/explosive vapour-air mixture.</xsl:when>
                    <xsl:when test="./i6:value = '8005'">EUH019: May form explosive peroxides.</xsl:when>
                    <xsl:when test="./i6:value = '8007'">EUH029: Contact with water liberates toxic gas.</xsl:when>
                    <xsl:when test="./i6:value = '8008'">EUH031: Contact with acids liberates toxic gas.</xsl:when>
                    <xsl:when test="./i6:value = '8009'">EUH032: Contact with acids liberates very toxic gas.</xsl:when>
                    <xsl:when test="./i6:value = '8006'">EUH044: Risk of explosion if heated under confinement.</xsl:when>
                    <xsl:when test="./i6:value = '8010'">EUH066: Repeated exposure may cause skin dryness or cracking.</xsl:when>
                    <xsl:when test="./i6:value = '8011'">EUH070: Toxic by eye contact.</xsl:when>
                    <xsl:when test="./i6:value = '8012'">EUH071: Corrosive to the respiratory tract.</xsl:when>
                    <xsl:when test="./i6:value = '8014'">EUH201: Contains lead. Should not be used on surfaces liable to be chewed or sucked by children.</xsl:when>
                    <xsl:when test="./i6:value = '8015'">EUH201A: Warning! Contains lead.</xsl:when>
                    <xsl:when test="./i6:value = '8016'">EUH202: Cyanoacrylate. Danger. Bonds skin and eyes in seconds. Keep out of the reach of children.</xsl:when>
                    <xsl:when test="./i6:value = '8017'">EUH203: Contains chromium (VI). May produce an allergic reaction.</xsl:when>
                    <xsl:when test="./i6:value = '8018'">EUH204: Contains isocyanates. May produce an allergic reaction.</xsl:when>
                    <xsl:when test="./i6:value = '8019'">EUH205: Contains epoxy constituents. May produce an allergic reaction.</xsl:when>
                    <xsl:when test="./i6:value = '8020'">EUH206: Warning! Do not use together with other products. May release dangerous gases (chlorine).</xsl:when>
                    <xsl:when test="./i6:value = '8021'">EUH207: Warning! Contains cadmium. Dangerous fumes are formed during use. See information supplied by the manufacturer. Comply with the safety instructions.</xsl:when>
                    <xsl:when test="./i6:value = '8022'">EUH208: Contains &lt;name of sensitising substance&gt;. May produce an allergic reaction.</xsl:when>
                    <xsl:when test="./i6:value = '8023'">EUH209: Can become highly flammable in use.</xsl:when>
                    <xsl:when test="./i6:value = '8024'">EUH209A: Can become flammable in use.</xsl:when>
                    <xsl:when test="./i6:value = '8025'">EUH210: Safety data sheet available on request.</xsl:when>
                    <xsl:when test="./i6:value = '8026'">EUH401: To avoid risks to human health and the environment, comply with the instructions for use.</xsl:when>
                    <xsl:when test="./i6:value = '7466'">Note A</xsl:when>
                    <xsl:when test="./i6:value = '7467'">Note B</xsl:when>
                    <xsl:when test="./i6:value = '7468'">Note C</xsl:when>
                    <xsl:when test="./i6:value = '7469'">Note D</xsl:when>
                    <xsl:when test="./i6:value = '2958'">Note E</xsl:when>
                    <xsl:when test="./i6:value = '7470'">Note F</xsl:when>
                    <xsl:when test="./i6:value = '2960'">Note G</xsl:when>
                    <xsl:when test="./i6:value = '7471'">Note H</xsl:when>
                    <xsl:when test="./i6:value = '7472'">Note J</xsl:when>
                    <xsl:when test="./i6:value = '7473'">Note K</xsl:when>
                    <xsl:when test="./i6:value = '7474'">Note L</xsl:when>
                    <xsl:when test="./i6:value = '7475'">Note M</xsl:when>
                    <xsl:when test="./i6:value = '7476'">Note N</xsl:when>
                    <xsl:when test="./i6:value = '7477'">Note P</xsl:when>
                    <xsl:when test="./i6:value = '7478'">Note Q</xsl:when>
                    <xsl:when test="./i6:value = '7479'">Note R</xsl:when>
                    <xsl:when test="./i6:value = '7480'">Note S</xsl:when>
                    <xsl:when test="./i6:value = '7481'">Note T</xsl:when>
                    <xsl:when test="./i6:value = '8049'">Note U</xsl:when>
                    <xsl:when test="./i6:value = '7482'">Note 1</xsl:when>
                    <xsl:when test="./i6:value = '7483'">Note 2</xsl:when>
                    <xsl:when test="./i6:value = '7484'">Note 3</xsl:when>
                    <xsl:when test="./i6:value = '7485'">Note 5</xsl:when>
                    <xsl:when test="./i6:value = '8050'">Note 7</xsl:when>
                </xsl:choose>
                <xsl:value-of select="./i6:other "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//xt:Toxicity | //xt:Toxicity | //xt:ConcentrationRange | //xt:HazardPictogram | //xt:HazardStatements | //xt:PrecautionaryStatements | //xt:LabelingRequirements | //xt:AdditionalLabelling | //xt:Notes">
        <tr class="headerBlock">
            <td>
                <xsl:choose>
                    <xsl:when test="name(.) = 'HazardStatements'"/>
                    <xsl:when test="name(.) = 'Toxicity'"/>
                    <xsl:when test="name(.) = 'HazardPictogram'"/>
                    <xsl:when test="name(.) = 'PrecautionaryStatements'"/>
                    <xsl:when test="name(.) = 'ConcentrationRange'"/>
                    <xsl:when test="name(.) = 'LabelingRequirements'">Additional non-GHS hazard statements</xsl:when>
                    <xsl:when test="name(.) = 'AdditionalLabelling'">Additional labelling</xsl:when>
                    <xsl:when test="name(.) = 'Notes'"/>
                </xsl:choose>
            </td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:GeneralInformation | //xt:RelatedCompositions | //xt:Classification | //xt:PhysicalHazards | //xt:Explosives | //xt:FlammableGases | //xt:FlammableAerosols | //xt:OxidisingGases | //xt:GasesPres | //xt:FlammableLiquids | //xt:FlammableSolids | //xt:SelfReactiveSubstMixt | //xt:PyrophoricLiquids | //xt:PyrophoricSolids | //xt:SelfHeatSubstMixt | //xt:SubstMixtWater | //xt:OxidisingLiquids | //xt:OxidisingSolids | //xt:OrganicPeroxides | //xt:CorMetals | //xt:DesensitizedExplosives | //xt:HealthHazards | //xt:AcuteToxicityOral | //xt:AcuteToxicityDermal | //xt:AcuteToxicityInhalation | //xt:Irritation | //xt:EyeIrritation | //xt:RespiratorySensitisation | //xt:SkinSensitisation | //xt:AspirationHazard | //xt:ReproductiveToxicity | //xt:ReproductiveToxicity | //xt:Effects | //xt:GermCell | //xt:GermCell | //xt:Carcinogenicity | //xt:Carcinogenicity | //xt:ToxicitySingle | //xt:Toxicity | //xt:ToxicityRepeated | //xt:Toxicity | //xt:SpecificConcentrations | //xt:EnvironmentalHazards | //xt:AquaticEnvironment | //xt:AcuteShortTerm | //xt:LongTerm | //xt:MFactor | //xt:OzoneLayer | //xt:HazardousOzone | //xt:AdditionalHazard | //xt:Labelling | //xt:HazardPictogramBlock | //xt:HazardStatementsBlock | //xt:PrecautionaryStatementsBlock | //xt:LabelingRequirementsBlock | //xt:NotesBlock">
        <tr class="headerBlock">
            <td>
                <xsl:choose>
                    <xsl:when test="name(.) = 'RespiratorySensitisation'">Respiratory sensitisation</xsl:when>
                    <xsl:when test="name(.) = 'PyrophoricLiquids'">Pyrophoric liquids</xsl:when>
                    <xsl:when test="name(.) = 'AcuteToxicityInhalation'">Acute toxicity - inhalation</xsl:when>
                    <xsl:when test="name(.) = 'Labelling'">Labelling</xsl:when>
                    <xsl:when test="name(.) = 'Effects'">Effects on or via lactation</xsl:when>
                    <xsl:when test="name(.) = 'AquaticEnvironment'">Aquatic environment</xsl:when>
                    <xsl:when test="name(.) = 'NotesBlock'">Notes</xsl:when>
                    <xsl:when test="name(.) = 'PrecautionaryStatementsBlock'">Precautionary statements</xsl:when>
                    <xsl:when test="name(.) = 'AcuteShortTerm'">Hazardous to the aquatic environment (acute / short-term)</xsl:when>
                    <xsl:when test="name(.) = 'GeneralInformation'">General Information</xsl:when>
                    <xsl:when test="name(.) = 'Classification'">Classification</xsl:when>
                    <xsl:when test="name(.) = 'PhysicalHazards'">Physical Hazards</xsl:when>
                    <xsl:when test="name(.) = 'OzoneLayer'">Ozone layer</xsl:when>
                    <xsl:when test="name(.) = 'OxidisingGases'">Oxidising gases</xsl:when>
                    <xsl:when test="name(.) = 'LongTerm'">Hazardous to the aquatic environment (long-term)</xsl:when>
                    <xsl:when test="name(.) = 'AcuteToxicityDermal'">Acute toxicity - dermal</xsl:when>
                    <xsl:when test="name(.) = 'OxidisingSolids'">Oxidising solids</xsl:when>
                    <xsl:when test="name(.) = 'SelfReactiveSubstMixt'">Self-reactive substances and mixtures</xsl:when>
                    <xsl:when test="name(.) = 'HazardStatementsBlock'">Hazard statements</xsl:when>
                    <xsl:when test="name(.) = 'OxidisingLiquids'">Oxidising liquids</xsl:when>
                    <xsl:when test="name(.) = 'EyeIrritation'">Serious eye damage / eye irritation</xsl:when>
                    <xsl:when test="name(.) = 'AdditionalHazard'">Additional hazard classes</xsl:when>
                    <xsl:when test="name(.) = 'Explosives'">Explosives</xsl:when>
                    <xsl:when test="name(.) = 'HealthHazards'">Health hazards</xsl:when>
                    <xsl:when test="name(.) = 'FlammableGases'">Flammable gases and chemically unstable gases</xsl:when>
                    <xsl:when test="name(.) = 'MFactor'">M factor</xsl:when>
                    <xsl:when test="name(.) = 'PyrophoricSolids'">Pyrophoric solids</xsl:when>
                    <xsl:when test="name(.) = 'Toxicity'">Specific target organ toxicity - repeated</xsl:when>
                    <xsl:when test="name(.) = 'LabelingRequirementsBlock'">Additional labelling requirements</xsl:when>
                    <xsl:when test="name(.) = 'ToxicitySingle'">Specific target organ toxicity - single</xsl:when>
                    <xsl:when test="name(.) = 'GermCell'">Germ cell mutagenicity</xsl:when>
                    <xsl:when test="name(.) = 'SubstMixtWater'">Substances and mixtures which in contact with water emit flammable gases</xsl:when>
                    <xsl:when test="name(.) = 'EnvironmentalHazards'">Environmental hazards</xsl:when>
                    <xsl:when test="name(.) = 'ReproductiveToxicity'">Reproductive toxicity</xsl:when>
                    <xsl:when test="name(.) = 'DesensitizedExplosives'">Desensitized explosives</xsl:when>
                    <xsl:when test="name(.) = 'SkinSensitisation'">Skin sensitisation</xsl:when>
                    <xsl:when test="name(.) = 'SelfHeatSubstMixt'">Self-heating substances and mixtures</xsl:when>
                    <xsl:when test="name(.) = 'FlammableAerosols'">Aerosols</xsl:when>
                    <xsl:when test="name(.) = 'FlammableLiquids'">Flammable liquids</xsl:when>
                    <xsl:when test="name(.) = 'HazardPictogramBlock'">Hazard pictogram</xsl:when>
                    <xsl:when test="name(.) = 'OrganicPeroxides'">Organic peroxides</xsl:when>
                    <xsl:when test="name(.) = 'Irritation'">Skin corrosion / irritation</xsl:when>
                    <xsl:when test="name(.) = 'RelatedCompositions'">Related composition</xsl:when>
                    <xsl:when test="name(.) = 'CorMetals'">Corrosive to metals</xsl:when>
                    <xsl:when test="name(.) = 'AcuteToxicityOral'">Acute toxicity - oral</xsl:when>
                    <xsl:when test="name(.) = 'HazardousOzone'">Hazardous to the ozone layer</xsl:when>
                    <xsl:when test="name(.) = 'ToxicityRepeated'">Specific target organ toxicity - repeated</xsl:when>
                    <xsl:when test="name(.) = 'AspirationHazard'">Aspiration hazard</xsl:when>
                    <xsl:when test="name(.) = 'FlammableSolids'">Flammable solids</xsl:when>
                    <xsl:when test="name(.) = 'GasesPres'">Gases under pressure</xsl:when>
                    <xsl:when test="name(.) = 'SpecificConcentrations'">Specific concentration limits</xsl:when>
                    <xsl:when test="name(.) = 'Carcinogenicity'">Carcinogenicity</xsl:when>
                </xsl:choose>
            </td>
            <td>
                <hr/>
            </td>
        </tr>
        <xsl:apply-templates select="./@*"/>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="//xt:Name | //xt:Remarks | //xt:SpecificEffect | //xt:Organs | //xt:Organs | //xt:Classes | //xt:Statements | //xt:AdditionalText | //xt:AdditionalText | //xt:AdditionalText | //xt:Labelling">
        <tr>
            <td class="label">
                <xsl:choose>
                    <xsl:when test="name(.) = 'Remarks'">Remarks</xsl:when>
                    <xsl:when test="name(.) = 'SpecificEffect'">Specific effect</xsl:when>
                    <xsl:when test="name(.) = 'Organs'">Affected organs</xsl:when>
                    <xsl:when test="name(.) = 'Labelling'">Additional labelling</xsl:when>
                    <xsl:when test="name(.) = 'Statements'">Additional hazard statements</xsl:when>
                    <xsl:when test="name(.) = 'AdditionalText'">Additional text</xsl:when>
                    <xsl:when test="name(.) = 'Name'">Name</xsl:when>
                    <xsl:when test="name(.) = 'Classes'">Additional hazard classes</xsl:when>
                </xsl:choose>
            </td>
            <td class="value">
                <xsl:value-of select=". "/>
            </td>
        </tr>
    </xsl:template>
    <xsl:template match="//i6:country/i6:value">
        <xsl:choose>
            <xsl:when test=". = '3446'">Åland Islands </xsl:when>
            <xsl:when test=". = '2683'">Afghanistan </xsl:when>
            <xsl:when test=". = '2684'">Albania </xsl:when>
            <xsl:when test=". = '2685'">Algeria </xsl:when>
            <xsl:when test=". = '2686'">American Samoa </xsl:when>
            <xsl:when test=". = '2688'">Andorra </xsl:when>
            <xsl:when test=". = '2689'">Angola </xsl:when>
            <xsl:when test=". = '2690'">Anguilla </xsl:when>
            <xsl:when test=". = '2692'">Antarctica </xsl:when>
            <xsl:when test=". = '2695'">Antigua and Barbuda </xsl:when>
            <xsl:when test=". = '2696'">Argentina </xsl:when>
            <xsl:when test=". = '2697'">Armenia </xsl:when>
            <xsl:when test=". = '2698'">Aruba </xsl:when>
            <xsl:when test=". = '107'">Australia </xsl:when>
            <xsl:when test=". = '108'">Austria </xsl:when>
            <xsl:when test=". = '2701'">Azerbaijan </xsl:when>
            <xsl:when test=". = '2702'">Bahamas </xsl:when>
            <xsl:when test=". = '2703'">Bahrain </xsl:when>
            <xsl:when test=". = '2704'">Bangladesh </xsl:when>
            <xsl:when test=". = '2705'">Barbados </xsl:when>
            <xsl:when test=". = '2707'">Belarus </xsl:when>
            <xsl:when test=". = '147'">Belgium </xsl:when>
            <xsl:when test=". = '2708'">Belize </xsl:when>
            <xsl:when test=". = '2709'">Benin </xsl:when>
            <xsl:when test=". = '2710'">Bermuda </xsl:when>
            <xsl:when test=". = '2711'">Bhutan </xsl:when>
            <xsl:when test=". = '2720'">Bolivia, Plurinational State of </xsl:when>
            <xsl:when test=". = '2722'">Bosnia and Herzegovina </xsl:when>
            <xsl:when test=". = '2723'">Botswana </xsl:when>
            <xsl:when test=". = '2724'">Bouvet Island </xsl:when>
            <xsl:when test=". = '2725'">Brazil </xsl:when>
            <xsl:when test=". = '2726'">British Indian Ocean Territory </xsl:when>
            <xsl:when test=". = '2727'">Brunei Darussalam </xsl:when>
            <xsl:when test=". = '184'">Bulgaria </xsl:when>
            <xsl:when test=". = '2729'">Burkina Faso </xsl:when>
            <xsl:when test=". = '2730'">Burundi </xsl:when>
            <xsl:when test=". = '2734'">Cambodia </xsl:when>
            <xsl:when test=". = '2735'">Cameroon </xsl:when>
            <xsl:when test=". = '206'">Canada </xsl:when>
            <xsl:when test=". = '2736'">Cape Verde </xsl:when>
            <xsl:when test=". = '2746'">Cayman Islands </xsl:when>
            <xsl:when test=". = '2747'">Central African Republic </xsl:when>
            <xsl:when test=". = '2748'">Chad </xsl:when>
            <xsl:when test=". = '2749'">Chile </xsl:when>
            <xsl:when test=". = '2750'">China </xsl:when>
            <xsl:when test=". = '2751'">Christmas Island </xsl:when>
            <xsl:when test=". = '2754'">Cocos (Keeling) Islands </xsl:when>
            <xsl:when test=". = '2755'">Colombia </xsl:when>
            <xsl:when test=". = '2759'">Comoros </xsl:when>
            <xsl:when test=". = '2764'">Congo </xsl:when>
            <xsl:when test=". = '2765'">Congo, The Democratic Republic of the </xsl:when>
            <xsl:when test=". = '2769'">Cook Islands </xsl:when>
            <xsl:when test=". = '2771'">Costa Rica </xsl:when>
            <xsl:when test=". = '286'">Croatia </xsl:when>
            <xsl:when test=". = '2774'">Côte d'Ivoire </xsl:when>
            <xsl:when test=". = '2773'">Cuba </xsl:when>
            <xsl:when test=". = '304'">Cyprus </xsl:when>
            <xsl:when test=". = '307'">Czech Republic </xsl:when>
            <xsl:when test=". = '333'">Denmark </xsl:when>
            <xsl:when test=". = '2790'">Djibouti </xsl:when>
            <xsl:when test=". = '2791'">Dominica </xsl:when>
            <xsl:when test=". = '2792'">Dominican Republic </xsl:when>
            <xsl:when test=". = '2799'">Ecuador </xsl:when>
            <xsl:when test=". = '2800'">Egypt </xsl:when>
            <xsl:when test=". = '2801'">El Salvador </xsl:when>
            <xsl:when test=". = '2803'">Equatorial Guinea </xsl:when>
            <xsl:when test=". = '2804'">Eritrea </xsl:when>
            <xsl:when test=". = '754'">Estonia </xsl:when>
            <xsl:when test=". = '2805'">Ethiopia </xsl:when>
            <xsl:when test=". = '2813'">Falkland Islands (Malvinas) </xsl:when>
            <xsl:when test=". = '2815'">Faroe Islands </xsl:when>
            <xsl:when test=". = '2817'">Fiji </xsl:when>
            <xsl:when test=". = '766'">Finland </xsl:when>
            <xsl:when test=". = '779'">France </xsl:when>
            <xsl:when test=". = '2825'">French Guiana </xsl:when>
            <xsl:when test=". = '2826'">French Polynesia </xsl:when>
            <xsl:when test=". = '2827'">French Southern Territories </xsl:when>
            <xsl:when test=". = '2828'">Gabon </xsl:when>
            <xsl:when test=". = '2829'">Gambia </xsl:when>
            <xsl:when test=". = '2834'">Georgia </xsl:when>
            <xsl:when test=". = '807'">Germany </xsl:when>
            <xsl:when test=". = '2835'">Ghana </xsl:when>
            <xsl:when test=". = '2836'">Gibraltar </xsl:when>
            <xsl:when test=". = '810'">Greece </xsl:when>
            <xsl:when test=". = '2838'">Greenland </xsl:when>
            <xsl:when test=". = '2839'">Grenada </xsl:when>
            <xsl:when test=". = '2840'">Guadeloupe </xsl:when>
            <xsl:when test=". = '2841'">Guam </xsl:when>
            <xsl:when test=". = '2842'">Guatemala </xsl:when>
            <xsl:when test=". = '7818'">Guernsey </xsl:when>
            <xsl:when test=". = '2843'">Guinea </xsl:when>
            <xsl:when test=". = '2844'">Guinea-Bissau </xsl:when>
            <xsl:when test=". = '2845'">Guyana </xsl:when>
            <xsl:when test=". = '2846'">Haiti </xsl:when>
            <xsl:when test=". = '2851'">Heard Island and McDonald Islands </xsl:when>
            <xsl:when test=". = '2854'">Holy See (Vatican City State) </xsl:when>
            <xsl:when test=". = '2855'">Honduras </xsl:when>
            <xsl:when test=". = '2856'">Hong Kong </xsl:when>
            <xsl:when test=". = '845'">Hungary </xsl:when>
            <xsl:when test=". = '882'">Iceland </xsl:when>
            <xsl:when test=". = '2865'">India </xsl:when>
            <xsl:when test=". = '2866'">Indonesia </xsl:when>
            <xsl:when test=". = '2870'">Iran, Islamic Republic of </xsl:when>
            <xsl:when test=". = '2871'">Iraq </xsl:when>
            <xsl:when test=". = '911'">Ireland </xsl:when>
            <xsl:when test=". = '7819'">Isle of man </xsl:when>
            <xsl:when test=". = '2876'">Israel </xsl:when>
            <xsl:when test=". = '916'">Italy </xsl:when>
            <xsl:when test=". = '2877'">Jamaica </xsl:when>
            <xsl:when test=". = '918'">Japan </xsl:when>
            <xsl:when test=". = '7820'">Jersey </xsl:when>
            <xsl:when test=". = '2878'">Jordan </xsl:when>
            <xsl:when test=". = '2879'">Kazakhstan </xsl:when>
            <xsl:when test=". = '2880'">Kenya </xsl:when>
            <xsl:when test=". = '2881'">Kiribati </xsl:when>
            <xsl:when test=". = '2882'">Korea, Democratic People's Republic of </xsl:when>
            <xsl:when test=". = '2883'">Korea, Republic Of </xsl:when>
            <xsl:when test=". = '2884'">Kuwait </xsl:when>
            <xsl:when test=". = '2885'">Kyrgyzstan </xsl:when>
            <xsl:when test=". = '2886'">Lao People's Democratic Republic </xsl:when>
            <xsl:when test=". = '985'">Latvia </xsl:when>
            <xsl:when test=". = '2887'">Lebanon </xsl:when>
            <xsl:when test=". = '2888'">Lesotho </xsl:when>
            <xsl:when test=". = '2889'">Liberia </xsl:when>
            <xsl:when test=". = '2890'">Libyan Arab Jamahiriya </xsl:when>
            <xsl:when test=". = '2891'">Liechtenstein </xsl:when>
            <xsl:when test=". = '1024'">Lithuania </xsl:when>
            <xsl:when test=". = '1041'">Luxembourg </xsl:when>
            <xsl:when test=". = '2896'">Macao </xsl:when>
            <xsl:when test=". = '2897'">Macedonia, the former Yugoslav Republic of </xsl:when>
            <xsl:when test=". = '2898'">Madagascar </xsl:when>
            <xsl:when test=". = '2899'">Malawi </xsl:when>
            <xsl:when test=". = '2900'">Malaysia </xsl:when>
            <xsl:when test=". = '2901'">Maldives </xsl:when>
            <xsl:when test=". = '2902'">Mali </xsl:when>
            <xsl:when test=". = '1048'">Malta </xsl:when>
            <xsl:when test=". = '2904'">Marshall Islands </xsl:when>
            <xsl:when test=". = '2905'">Martinique </xsl:when>
            <xsl:when test=". = '2908'">Mauritania </xsl:when>
            <xsl:when test=". = '2909'">Mauritius </xsl:when>
            <xsl:when test=". = '2910'">Mayotte </xsl:when>
            <xsl:when test=". = '1067'">Mexico </xsl:when>
            <xsl:when test=". = '3877'">Micronesia, Federated States of </xsl:when>
            <xsl:when test=". = '2919'">Moldova, Republic of </xsl:when>
            <xsl:when test=". = '2921'">Monaco </xsl:when>
            <xsl:when test=". = '2922'">Mongolia </xsl:when>
            <xsl:when test=". = '7821'">Montenegro </xsl:when>
            <xsl:when test=". = '2924'">Montserrat </xsl:when>
            <xsl:when test=". = '2925'">Morocco </xsl:when>
            <xsl:when test=". = '2926'">Mozambique </xsl:when>
            <xsl:when test=". = '2930'">Myanmar </xsl:when>
            <xsl:when test=". = '2932'">Namibia </xsl:when>
            <xsl:when test=". = '2933'">Nauru </xsl:when>
            <xsl:when test=". = '2934'">Nepal </xsl:when>
            <xsl:when test=". = '1158'">Netherlands </xsl:when>
            <xsl:when test=". = '2935'">Netherlands Antilles </xsl:when>
            <xsl:when test=". = '2938'">New Caledonia </xsl:when>
            <xsl:when test=". = '1161'">New Zealand </xsl:when>
            <xsl:when test=". = '2939'">Nicaragua </xsl:when>
            <xsl:when test=". = '2940'">Niger </xsl:when>
            <xsl:when test=". = '2941'">Nigeria </xsl:when>
            <xsl:when test=". = '2942'">Niue </xsl:when>
            <xsl:when test=". = '2945'">Norfolk Island </xsl:when>
            <xsl:when test=". = '2946'">Northern Mariana Islands </xsl:when>
            <xsl:when test=". = '1175'">Norway </xsl:when>
            <xsl:when test=". = '2977'">Oman </xsl:when>
            <xsl:when test=". = '2984'">Pakistan </xsl:when>
            <xsl:when test=". = '2985'">Palau </xsl:when>
            <xsl:when test=". = '2986'">Palestinian Territory, occupied </xsl:when>
            <xsl:when test=". = '2987'">Panama </xsl:when>
            <xsl:when test=". = '2988'">Papua New Guinea </xsl:when>
            <xsl:when test=". = '2989'">Paraguay </xsl:when>
            <xsl:when test=". = '2994'">Peru </xsl:when>
            <xsl:when test=". = '2995'">Philippines </xsl:when>
            <xsl:when test=". = '3000'">Pitcairn </xsl:when>
            <xsl:when test=". = '1394'">Poland </xsl:when>
            <xsl:when test=". = '1401'">Portugal </xsl:when>
            <xsl:when test=". = '3027'">Puerto Rico </xsl:when>
            <xsl:when test=". = '3028'">Qatar </xsl:when>
            <xsl:when test=". = '1496'">Romania </xsl:when>
            <xsl:when test=". = '3177'">Réunion </xsl:when>
            <xsl:when test=". = '3175'">Russian Federation </xsl:when>
            <xsl:when test=". = '3176'">Rwanda </xsl:when>
            <xsl:when test=". = '7823'">Saint Barthélemy </xsl:when>
            <xsl:when test=". = '3318'">Saint Helena </xsl:when>
            <xsl:when test=". = '3319'">Saint Kitts and Nevis </xsl:when>
            <xsl:when test=". = '3320'">Saint Lucia </xsl:when>
            <xsl:when test=". = '7824'">Saint Martin </xsl:when>
            <xsl:when test=". = '3321'">Saint Pierre and Miquelon </xsl:when>
            <xsl:when test=". = '3322'">Saint Vincent and the Grenadines </xsl:when>
            <xsl:when test=". = '3323'">Samoa </xsl:when>
            <xsl:when test=". = '3324'">San Marino </xsl:when>
            <xsl:when test=". = '3325'">Sao Tome and Principe </xsl:when>
            <xsl:when test=". = '3326'">Saudi Arabia </xsl:when>
            <xsl:when test=". = '3328'">Senegal </xsl:when>
            <xsl:when test=". = '3332'">Serbia </xsl:when>
            <xsl:when test=". = '3333'">Seychelles </xsl:when>
            <xsl:when test=". = '3336'">Sierra Leone </xsl:when>
            <xsl:when test=". = '3337'">Singapore </xsl:when>
            <xsl:when test=". = '3339'">Slovakia </xsl:when>
            <xsl:when test=". = '1562'">Slovenia </xsl:when>
            <xsl:when test=". = '3340'">Solomon Islands </xsl:when>
            <xsl:when test=". = '3343'">Somalia </xsl:when>
            <xsl:when test=". = '3344'">South Africa </xsl:when>
            <xsl:when test=". = '3345'">South Georgia and the South Sandwich Islands </xsl:when>
            <xsl:when test=". = '1567'">Spain </xsl:when>
            <xsl:when test=". = '3346'">Sri Lanka </xsl:when>
            <xsl:when test=". = '3352'">Sudan </xsl:when>
            <xsl:when test=". = '3355'">Suriname </xsl:when>
            <xsl:when test=". = '3357'">Svalbard and Jan Mayen </xsl:when>
            <xsl:when test=". = '3358'">Swaziland </xsl:when>
            <xsl:when test=". = '1591'">Sweden </xsl:when>
            <xsl:when test=". = '1595'">Switzerland </xsl:when>
            <xsl:when test=". = '3359'">Syrian Arab Republic </xsl:when>
            <xsl:when test=". = '3362'">Taiwan, Province of China </xsl:when>
            <xsl:when test=". = '3363'">Tajikistan </xsl:when>
            <xsl:when test=". = '3364'">Tanzania, United Republic of </xsl:when>
            <xsl:when test=". = '3366'">Thailand </xsl:when>
            <xsl:when test=". = '3370'">Timor-Leste </xsl:when>
            <xsl:when test=". = '3371'">Togo </xsl:when>
            <xsl:when test=". = '3372'">Tokelau </xsl:when>
            <xsl:when test=". = '3373'">Tonga </xsl:when>
            <xsl:when test=". = '3393'">Trinidad and Tobago </xsl:when>
            <xsl:when test=". = '3394'">Tunisia </xsl:when>
            <xsl:when test=". = '1641'">Turkey </xsl:when>
            <xsl:when test=". = '3395'">Turkmenistan </xsl:when>
            <xsl:when test=". = '3396'">Turks and Caicos Islands </xsl:when>
            <xsl:when test=". = '3397'">Tuvalu </xsl:when>
            <xsl:when test=". = '3402'">Uganda </xsl:when>
            <xsl:when test=". = '3403'">Ukraine </xsl:when>
            <xsl:when test=". = '3406'">United Arab Emirates </xsl:when>
            <xsl:when test=". = '1651'">United Kingdom </xsl:when>
            <xsl:when test=". = '1652'">United States </xsl:when>
            <xsl:when test=". = '3407'">United States Minor Outlying Islands </xsl:when>
            <xsl:when test=". = '3410'">Uruguay </xsl:when>
            <xsl:when test=". = '3412'">Uzbekistan </xsl:when>
            <xsl:when test=". = '3414'">Vanuatu </xsl:when>
            <xsl:when test=". = '3416'">Venezuela, Bolivarian Republic of </xsl:when>
            <xsl:when test=". = '3420'">Viet Nam </xsl:when>
            <xsl:when test=". = '3421'">Virgin Islands, British </xsl:when>
            <xsl:when test=". = '3422'">Virgin Islands, U.S. </xsl:when>
            <xsl:when test=". = '3425'">Wallis And Futuna </xsl:when>
            <xsl:when test=". = '3428'">Western Sahara </xsl:when>
            <xsl:when test=". = '3433'">Yemen </xsl:when>
            <xsl:when test=". = '3434'">Zambia </xsl:when>
            <xsl:when test=". = '3435'">Zimbabwe </xsl:when>
            <xsl:when test=". = '1342'">other: </xsl:when>
            <xsl:when test=". = '2207'">not specified </xsl:when>
            <xsl:when test=". = '1173'">no data </xsl:when>
        </xsl:choose>
    </xsl:template>
    <xsl:template match="//xt:DataProtection/i6:confidentiality">
        <xsl:choose>
            <xsl:when test=". = '2732'">CBI </xsl:when>
            <xsl:when test=". = '2859'">IP </xsl:when>
            <xsl:when test=". = '3441'">no PA </xsl:when>
        </xsl:choose>
    </xsl:template>
</xsl:stylesheet>
